Galon Cloud
Galon API v1

/emails/{job_id}/cancel

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /emails/{job_id}/cancel

Cancel a send still queued (scheduled or not)

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
job_idpathstring · required

Responses

StatusDescriptionBody
200Send cancelledEmailResponse
403Scope mail:send missing
404Send not found
409Send already dispatched or finished

Examples

curl

curl -X POST "$GALON_API_BASE/emails/<job_id>/cancel" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.emails.cancel("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.emails.cancel("<id>")